org.apache.olingo.odata2.client.core.edm.Impl

## Class EdmAssociationSetEndImpl

- java.lang.Object
- - org.apache.olingo.odata2.client.core.edm.Impl.EdmAssociationSetEndImpl

- All Implemented Interfaces:
    EdmAnnotatable, EdmAssociationSetEnd

      public class EdmAssociationSetEndImpl
      extends Object
      implements EdmAssociationSetEnd, EdmAnnotatable

  Objects of this class represent AssociationSetEnd

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EdmAssociationSetEndImpl()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `EdmAnnotations` | `getAnnotations()` Get all annotations applied to an EDM element
    `EdmAssociationSetEnd` | `getEnd()`
    `EdmEntitySet` | `getEntitySet()` Get the entity set
    `String` | `getEntitySetName()`
    `String` | `getRole()` Get the role name
    `void` | `setAnnotations(EdmAnnotations annotations)`
    `void` | `setEnd(EdmAssociationSetEnd end)`
    `void` | `setEntitySet(EdmEntitySet entitySet)`
    `void` | `setEntitySetName(String entitySetName)`
    `void` | `setRole(String role)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EdmAssociationSetEndImpl

          public EdmAssociationSetEndImpl()

  - ### Method Detail

    - #### getEntitySet

          public EdmEntitySet getEntitySet()
                                    throws EdmException

      Description copied from interface: `EdmAssociationSetEnd`
      Get the entity set
      Specified by:
        `getEntitySet` in interface `EdmAssociationSetEnd`
      Returns:
        `EdmEntitySet`
      Throws:
        `EdmException`

    - #### getEnd

          public EdmAssociationSetEnd getEnd()

    - #### setEnd

          public void setEnd(EdmAssociationSetEnd end)

    - #### setRole

          public void setRole(String role)

    - #### setAnnotations

          public void setAnnotations(EdmAnnotations annotations)

    - #### getRole

          public String getRole()

      Description copied from interface: `EdmAssociationSetEnd`
      Get the role name
      Specified by:
        `getRole` in interface `EdmAssociationSetEnd`
      Returns:
        String

    - #### getAnnotations

          public EdmAnnotations getAnnotations()
                                        throws EdmException

      Description copied from interface: `EdmAnnotatable`
      Get all annotations applied to an EDM element
      Specified by:
        `getAnnotations` in interface `EdmAnnotatable`
      Returns:
        `EdmAnnotations` never null
      Throws:
        `EdmException`

    - #### setEntitySetName

          public void setEntitySetName(String entitySetName)

    - #### getEntitySetName

          public String getEntitySetName()

      Returns:
        the entitySetName

    - #### setEntitySet

          public void setEntitySet(EdmEntitySet entitySet)

      Parameters:
        `entitySet` - the entitySet to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2013-2022 The Apache Software Foundation. All Rights Reserved.